import os

USER_TABLE: str = os.getenv('USER_TABLE')  # type: ignore
ORDER_TABLE: str = os.getenv('ORDER_TABLE')  # type: ignore
COURSE_TABLE: str = os.getenv('COURSE_TABLE')  # type: ignore
ENROLLMENT_TABLE: str = os.getenv('ENROLLMENT_TABLE')  # type: ignore

BUCKET_NAME: str = os.getenv('BUCKET_NAME')  # type: ignore

EMAIL_SENDER = ('EDUSEG®', 'noreply@eduseg.com.br')

# Post-migration: Remove the following lines
if os.getenv('AWS_LAMBDA_FUNCTION_NAME'):
    SQLITE_DATABASE = 'courses_export_2025-06-18_110214.db'
else:
    SQLITE_DATABASE = 'app/courses_export_2025-06-18_110214.db'

SQLITE_TABLE = 'courses'

PAPERFORGE_API = 'https://paperforge.saladeaula.digital'
BILLING_TEMPLATE_URI = 's3://saladeaula.digital/billing/template.html'
